org.apache.ignite.internal.processors.datastructures

## Interface GridCacheAtomicStampedEx<T,S>

All Superinterfaces:
  AutoCloseable, Closeable, GridCacheRemovable, IgniteAtomicStamped<T,S>

All Known Implementing Classes:
  GridCacheAtomicStampedImpl

    public interface GridCacheAtomicStampedEx<T,S>
    extends GridCacheRemovable, IgniteAtomicStamped<T,S>

Atomic stamped managed by cache (`'Ex'` stands for external).

### Method Summary

Methods
`GridCacheInternalKey` `key()` Get current atomic stamped key.

### Methods inherited from interface org.apache.ignite.internal.processors.datastructures.GridCacheRemovable

`needCheckNotRemoved, onRemoved`

### Methods inherited from interface org.apache.ignite.IgniteAtomicStamped

`close, compareAndSet, get, name, removed, set, stamp, value`

### Method Detail

#### key

    GridCacheInternalKey key()

Get current atomic stamped key.

Returns:
  Atomic stamped key.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017